  ' Tavola degli identificatori
  ' ---------------------------
  ' Tipo      Dim  Intervallo
  ' BYTE       1   da -128 a 127
  ' UBYTE      1   da 0 a 255
  ' INTEGER    2   da -32768 a 32768
  ' UINTEGER   2   da 0 a 65535

  ' ---------- DEFINIZIONE VARIABILI DI BASE ----------

  ' Nazione di gioco. 1 = USA, 2 = URSS

  DIM naz AS UBYTE
  
  ' Fondi disponibili

  DIM fondi AS INTEGER

  ' Prestigio attuale

  DIM prestigio AS INTEGER

  ' Prestigio dell'anno precedente

  DIM prestprec AS INTEGER

  ' Differenza tra prestigio attuale e dell'anno precedente

  DIM diffpres AS INTEGER

  ' Anno, turno e stagioni di gioco
  
  DIM anno AS UBYTE
  
  DIM turno AS UBYTE
  
  DIM stag$(4)
  stag$(1) = "SPRING"
  stag$(2) = "SUMMER"
  stag$(3) = "FALL"
  stag$(4) = "WINTER"

  ' Modificatore per il controllo fase

  DIM modif AS BYTE

  ' Strutture: stru(3,9)

  ' 1. Rampa di lancio 1
  ' 2. Rampa di lancio 2
  ' 3. Rampa di lancio 3
  ' 4. Addestramento base
  ' 5. Addestramento avanzato
  ' 6. Assemblaggio veicoli piccoli/medi
  ' 7. Assemblaggio veicoli grandi
  ' 8. Laboratorio ricerca base
  ' 9. Laboratorio ricerca avanzato

  ' stru(1,x) = valore
  ' stru(2,x) = tempo di costruzione
  ' stru(3,x) = costo

  DIM stru(3,9) AS UBYTE 

  DIM strt$(4)
  strt$(1) = "LAUNCH PAD "
  strt$(2) = " TRAIN.FAC."
  strt$(3) = "ASSEMB.FAC. "
  strt$(4) = " R&D LAB."

  ' Variabili generiche

  DIM x,y,z,n,w,k,i,q AS UBYTE

  ' Descrizione materiale:
  ' Ogni materiale è contraddistinto da un numero, che serve da guida
  ' per tutte le variabili relative a esso.
  
  '  1 - Satellite orbitale terrestre
  '  2 - Satellite orbitale lunare
  '  3 - Sonda lunare
  '  4 - Capsula monoposto
  '  5 - Capsula biposto
  '  6 - Capsula triposto
  '  7 - Mini navetta riutilizzabile
  '  8 - Veicolo lunare
  '  9 - Modulo lunare monoposto  
  ' 10 - Modulo lunare biposto
  ' 11 - Modulo aggancio
  ' 12 - Tuta AEV
  ' 13 - Razzo vettore leggero
  ' 14 - Razzo vettore medio
  ' 15 - Razzo vettore pesante
  ' 16 - Razzo vettore super
  ' 17 - Razzo ausiliario
  ' 18 - Modulo servizio A
  ' 19 - Modulo servizio B

  ' Denominazioni materiale

  DIM mate$(19)
  
  ' Nomi dei piloti

  DIM pilo$(10)

  ' Abilità e status dei piloti
  ' Sono espressi da un numero che va da 0 a 8.
  ' 0 = abilità non esercitata, 1 = peggiore, 8 = migliore
  ' Non possono essere conosciute senza prima addestrarli.

  ' 1: Pilotaggio base
  ' 2: AEV
  ' 3: Aggancio capsula/modulo bersaglio
  ' 4: Pilotaggio ML/navetta (avanzata); richiesta dalle missioni lunari
  ' 5: Resistenza a lungo termine (avanzata); richiesta dalle missioni lunari
  ' 6: Turni richiesti per l'addestramento (2 per quello normale, 3 per quello avanzato)
  ' 7: Abilità attualmente in addestramento (1-5)
  ' 8: Turni richiesti per la cura in caso di infortunio (3, di fatto 2 perché la cura comincia alla fine del turno)

  DIM abi(8,10) AS UBYTE

  ' Costo iniziale dei prototipi
  
  DIM costoini(19) AS UBYTE
  
  ' Costo produzione materiale dopo prototipo

  DIM costo(19) AS UBYTE
  
  ' Costo R&S per ogni singola squadra di tecnici (max 5)
 
  DIM costors(19) AS UBYTE
  
  ' Percentuale di efficienza massima raggiungibile tramite R&S
  
  DIM rsmax(19) AS UBYTE

  ' Percentuale di efficienza massima raggiungibile tramite missioni e test
  
  DIM effmax(19) AS UBYTE
  
  ' Massa del materiale
  
  DIM massa(19) AS UBYTE
  
  ' Quantità di ogni singolo materiale
  
  DIM qt(19) AS UBYTE
  
  ' R&S attuale del singolo materiale

  DIM rsatt(19) AS UBYTE

  ' Efficienza attuale del singolo materiale

  DIM effatt(19) AS BYTE
  
  ' Stato del programma di ricerca e sviluppo:
  ' 0 = non avviato
  ' 1 = avviato
  ' 2 = in corso per quest'anno
  
  DIM progrs(19) AS UBYTE

  ' Carico utile. Riguarda solo i razzi;
  ' per utilizzarlo, aggiungere ...
  
  DIM cu(5) AS UBYTE

  ' Missione programmata
  ' Si possono programmare sino a 3 missioni per stagione.
  ' Ogni missione è contraddistinta da un codice così strutturato:
  ' 1: Veicolo (1-8)
  ' 2: Destinazione (1-3)
  ' 3: Modulo lunare (0, 9 o 10)
  ' 4: Razzo vettore (13-16)
  ' 5: Parte ausiliaria (0 o 1)
  ' 6: Modulo di servizio A (0 o 1)
  ' 7: Modulo di servizio B (0 o 1)
  ' 8: Modulo di aggancio (0 o 1)
  ' 9: Tute AEV (0, 1 o 2)
  '10: Pilota 1 (0-10)
  '11: Pilota 2 (0-10)
  '12: Pilota 3 (0-10)
  '13: Pilota 4 (0-10)
  '14: Percentuale di successo
  '15: Rampa di lancio assegnata (indica anche il numero progressivo della missione)
  '16: Divisore per calcolare l'efficienza media della missione

  DIM miss(16,3) AS UBYTE

  ' Missione in corso di pianificazione

  DIM mpr(16) AS UBYTE

  ' Pietre miliari: missioni che devono essere completate con successo per evitare una penalizzazione del 5% in quelle successive. Danno altresì un bonus prestigio se
  ' effettuate per prime rispetto all'avversario.
  ' pm(x) vale:
  ' - 0 se nessuno ha completato la missione con successo
  ' - 1 se l'ha completata l'avversario per primo
  ' - 2 se l'ha completata il giocatore per primo
  ' - 3 se il giocatore l'ha completata dopo l'avversario
  ' Nell'ordine di complessità crescente sono:
  ' 1: Satellite in orbita terrestre
  ' 2: Volo orbitale C/E
  ' 3: AEV in orbita
  ' 4: Satellite in orbita lunare
  ' 5: Sonda lunare
  ' 6: Volo lunare C/E
  
  DIM pm(6) AS UBYTE 

  ' Bonus in prestigio (positivo o negativo) delle pietre miliari

  DIM pmbon(6) AS UBYTE => {12,16,8,10,12,20}

  ' Titoli delle pietre miliari

  DIM pimi$(6)

  pimi$(1) = "ARTIFICIAL SATELLITE"
  pimi$(2) = "MANNED EARTH ORB.FLIGHT"
  pimi$(3) = "SPACE WALK"
  pimi$(4) = "SATELLITE IN LUN.ORB."
  pimi$(5) = "PROBE ON THE MOON"
  pimi$(6) = "MANNED LUN.ORB.FLIGHT"

  ' Ordini in corso

  DIM ordini(19) AS UBYTE

  ' Bonus prestigio in caso di missione con successo

  DIM bonuspre AS BYTE

  ' Somma di tutte le percentuali di efficienza attuale del materiale della missione

  DIM somma AS INTEGER

  ' Efficienza totale della missione

  DIM effmis(3) AS BYTE

  ' Controllo navetta. Serve a capire se alla fine della missione la navetta è integra o danneggiata

  DIM navetta AS BYTE

  ' Numero della fase in corso

  DIM fase AS UBYTE

  ' Coefficiente pseudocasuale per la ricerca, l'addestramento e il controllo missione

  DIM rand AS BYTE

  ' Stato missione compiuta/fallita. Serve nei casi in cui la missione viene interrotta e si torna indietro
  ' 0 = fallita
  ' 1 = compiuta
  ' 2 = parzialmente riuscita

  DIM statomis AS UBYTE

  ' Numero di missioni condotte
  ' mis(1) = compiute
  ' mis(2) = parzialmente riuscite
  ' mis(3) = fallite

  DIM totalmis(3) AS UBYTE

  ' Punteggio

  DIM punti AS INTEGER

  ' Coefficiente per il calcolo dei fondi

  DIM cf AS FLOAT

  ' Progressi IA

  DIM ia AS UINTEGER

  ' Penalità per le pietre miliari non conseguite

  DIM pen AS UBYTE

  ' Altezza e durata delle note per gli inni

  DIM alt, dur AS FLOAT

  ' Scritte ricorrenti

  rigav$ = "                                "
  sce1$ = "\{i7} 1 "
  sce0$ = "\{i7} 0 "
  ind$ = "(0 = BACK)"
  disp$ = "AVAIL."
  incostr$ = "TURNS: "
  fond$ = "FUNDS: "
  pianmis$ = " MISSION PLANNER "
  mispian$ = " PLANNED MISSIONS "
  sino$ = "1=YES/2=NO "
  
  ' Variabile identificativa del problema

  DIM prob AS BYTE

  ' Bonus abilità dell'equipaggio in caso di problemi

  DIM bonabi AS BYTE

  ' Status del pilota
  ' N : Non arruolato
  ' A : Disponibile
  ' T : In addestramento
  ' M : In missione
  ' I : Infortunato/ammalato
  ' X : Deceduto

  DIM pilost$(10)

  ' Nomi abilità

  DIM abl$(5)
  abl$(1) = "BASE PILOTING"
  abl$(2) = "EVA"
  abl$(3) = "DOCKING"
  abl$(4) = "ADV.PILOTING"
  abl$(5) = "ENDURANCE"

  ' Scritte relative agli inconvenienti del materiale durante le missioni
  
  DIM pr$(30)
  
  ' Razzo

  pr$(1) = "ENGINES NOT STARTED"
  pr$(2) = "ENGINE BLEW UP"
  pr$(3) = "ROCKET BLEW UP"

  ' Razzi ausiliari

  pr$(4) = "EXTRA PARTS NOT IGNITED"
  pr$(5) = "EXTRA PARTS NOT DROPPED"
  pr$(6) = "EXTRA PARTS BLEW UP"

  ' Satellite terrestre/lunare

  pr$(7) = "NO DATA TRANSMISSION"
  pr$(8) = "SATELLITE NOT ACTIVATED"
  pr$(9) = "SATELLITE DID NOT ENTER ORBIT"

  ' Sonda lunare

  pr$(10) = "RADIO CONTACT LOST"
  pr$(11) = "PROBE LANDED BUT NOT ACTIVE"
  pr$(12) = "LANDING TOO FAST, COLLISION"

  ' Capsula/Navetta/Veicolo lunare in volo

  pr$(13) = "SHORT CIRCUIT ON BOARD"
  pr$(14) = "FIRE IN COCKPIT"
  pr$(15) = "EXPLOSION DURING FLIGHT"

  ' Tuta AEV

  pr$(16) = "TEAR IN SUIT"
  pr$(17) = "FAULT IN AERATION SYSTEM"
  pr$(18) = "EXTERNAL RADIATION PENETRATED"

  ' Modulo lunare/Veicolo lunare in avvicinamento

  pr$(19) = "GYROSCOPES NOT WORKING"
  pr$(20) = "RETROROCKETS DELAY"
  pr$(21) = "IMPACT WHILE LANDING"

  ' Modulo lunare/Modulo servizio/Veicolo lunare in partenza

  pr$(22) = "ELECTRICAL SYSTEM FAILURE"
  pr$(23) = "STRUCTURAL FAILURE"
  pr$(24) = "ENGINES ON FIRE"

  ' Modulo aggancio

  pr$(25) = "IMPACT WHILE DOCKING"
  pr$(26) = "COLLISION WITH MODULE"
  pr$(27) = "DOCKING ERROR, HEAVY DAMAGE"

  ' Rientro

  pr$(28) = "HEAT SHIELD DAMAGED"
  pr$(29) = "PARACHUTE OPENING DELAY"
  pr$(30) = "FAULT IN PRESSURIZATION"