  ' Cose da fare:
  ' -------------
  ' Avviare le missioni pianificate
  ' Azzerare le ricerche e completare le ordinazioni dei materiali
  ' Addestrare i piloti
  ' Curare i piloti infortunati
  ' Costruire/riparare le strutture

  ' Preparazione turno successivo:
  ' ------------------------------
  ' Se arriva il 1976 e non si è ancora verificata una missione lunare con successo, il giocatore perde
  ' Determinare eventuali imprevisti per la stagione successiva
  ' Mostrare il rapporto sulle attività degli avversari
  ' Se è primavera, determinare prestigio e fondi per l'anno in corso; mostrare rapporto sull'opinione del governo

  updateSeed()

  ' ---------- AZZERAMENTO MISSIONI E RICERCHE E COMPLETAMENTO ORDINAZIONI MATERIALI ----------

azzeric:

  i = 1

  DO
    azzemis()
    i = i + 1
  LOOP UNTIL i = 4

  n = 1
  DO

  ' Reset delle ricerche in corso, di modo che siano disponibili nuovamente nel turno
  ' (stato del programma di R&S: 0 = non avviato, 1 = avviato, 2 = in corso di ricerca per questo turno)

    IF progrs(n) = 2 THEN progrs(n) = 1

  ' Aggiunge la quantità di ordini(n) in qt(n) e azzera gli ordini in corso

    qt(n) = qt(n) + ordini(n)
    ordini(n) = 0

	n = n + 1
  LOOP UNTIL n = 20

  ' ---------- CONDUZIONE E RISULTATO DELL'ADDESTRAMENTO ----------

  ' Verifica quali piloti sono in addestramento

  n = 1
  DO
    IF pilost$(n) = "A" THEN addest()
    n = n + 1
  LOOP UNTIL n = 11

  ' ---------- CURA PILOTI INFORTUNATI ----------

  ' Cura i piloti infortunati e li rende disponibili nuovamente al termine, o riprende l'addestramento

  n = 1
  DO
    IF pilost$(n) = "I" THEN abi(8,n) = abi(8,n) - 1
    IF abi(8,n) = 0 AND pilost$(n) = "I" AND abi(6,n) > 0 THEN pilost$(n) = "A"
    IF abi(8,n) = 0 AND pilost$(n) = "I" AND abi(6,n) = 0 THEN pilost$(n) = "D"
    n = n + 1
  LOOP UNTIL n = 11

  ' ---------- COSTRUZIONE/RIPARAZIONE STRUTTURE ----------

  ' Verifica quali strutture sono in costruzione/riparazione (valore > 2) e scala il relativo turno di 1
  ' Se il valore arriva a 1 marca la struttura come "disponibile"

  n = 1
  DO
    IF stru(1,n) > 2 AND stru(2,n) > 0 THEN stru(2,n) = stru(2,n) - 1
    IF stru(1,n) > 2 AND stru(2,n) = 0 THEN stru(1,n) = 1
    n = n + 1
  LOOP UNTIL n = 10

  ' ---------- AVANZAMENTO DEL TEMPO ----------

  turno = turno + 1
  IF turno = 5 THEN anno = anno + 1 : turno = 1

  ' Sconfitta per fine tempo

  IF anno = 76 THEN testo$ = "" : POKE UINTEGER indir,@finetempo : GOTO sconfitta

  ' ---------- INTELLIGENZA ARTIFICIALE AVVERSARIA ---------- 

  #INCLUDE "_A_intavv.bas"

  ' ---------- PRESTIGIO ----------

messaggio:

  ' Se non è cominciato un nuovo anno si va direttamente al menù principale

  IF turno <> 1 THEN GOTO nuovoturno

  BORDER 1 : PAPER 5 : CLS

  PRINT AT 1,1; PAPER naz; "\{i7} COMUNICAZIONE DAL";gov$

  ' Raffronto del prestigio con l'anno precedente

  diffpres = prestigio - prestprec

  IF diffpres > -1 AND diffpres < 6 THEN POKE UINTEGER indir,@messneut 

  IF diffpres > 5 AND diffpres < 11 THEN POKE UINTEGER indir,@messpos1: cf = cf + 0.1

  IF diffpres > 10 AND diffpres < 16 THEN POKE UINTEGER indir,@messpos2: cf = cf + 0.2

  IF diffpres > 15 THEN POKE UINTEGER indir,@messpos3: cf = cf + 0.3

  IF diffpres > -11 AND diffpres < 1 THEN POKE UINTEGER indir,@messneg1: prestigio = prestigio - 5: cf = cf - 0.1

  IF diffpres > -16 AND diffpres < -10 THEN POKE UINTEGER indir,@messneg2: prestigio = prestigio - 7: cf = cf - 0.2

  IF diffpres < -15 THEN POKE UINTEGER indir,@messneg3: prestigio = prestigio - 9: cf = cf - 0.3

  ' Limite minimo per cf

  IF cf < 0.1 THEN cf = 0.1

  stampa()

  premitasto()

  ' Se il prestigio va a zero o è negativo il giocatore perde

  IF prestigio < 1 THEN testo$ = "IL"+gov$+"TI HA RIMOSSO": POKE UINTEGER indir,@licenz: GOTO sconfitta

  ' Il prestigio registrato quest'anno viene memorizzato in prestprec per il confronto con quello dell'anno prossimo

  prestprec = prestigio

  ' Calcola il finanziamento per quest'anno in base al prestigio

  fondi = fondi + INT(prestigio*cf*0.80)

nuovoturno:

  ' ---------- EVENTI IMPREVISTI ----------

  ' 1) Infortunio: un pilota a caso tra quelli reclutati (se ce ne sono) si è infortunato
  ' 2) Difetto: abbassa il livello di efficienza di un programma già sviluppato di 15 punti
  ' 3) Progresso: alza il livello di efficienza di un programma già sviluppato di 15 punti
  ' 4) Fondi extra: bonus +20 fondi
  ' 5) Tagli: malus -20 fondi

  randomBase()
  rand = randomLimit(99)+1

  IF rand < 51 THEN GOTO main

  CLS

  POKE UINTEGER indir,@impre: stampa()

  IF rand > 50 AND rand < 61 THEN GOTO infortunio

  IF rand > 60 AND rand < 71 THEN GOTO difetto

  IF rand > 70 AND rand < 81 THEN GOTO progresso

  IF rand > 80 AND rand < 91 THEN GOTO fondiextra

  IF rand > 90 THEN GOTO tagli

infortunio:

  randomBase()
  rand = randomLimit(9)+1

  IF pilost$(rand) = "N" OR pilost$(rand) = "X" THEN GOTO main

  PRINT AT 3,14; pilo$(rand);"!"

  POKE UINTEGER indir,@infortun: stampa()

  pilost$(rand) = "I": abi(8,rand) = 2

  GOTO fineimpre

difetto:

  progcaso()

  IF progrs(rand) = 0 THEN GOTO main

  ' Diminuisce l'efficienza attuale

  effatt(rand) = effatt(rand) - 15

  IF effatt(rand) < 0 THEN effatt(rand) = 0
  
  ' Livella la R&S all'efficienza attuale
  
  rsatt(rand) = effatt(rand)

  POKE UINTEGER indir,@incid: stampa()

  PRINT AT 4,0; mate$(rand)

  GOTO fineimpre

progresso:

  progcaso()

  ' Se non abbiamo ancora avviato alcun programma di ricerca esce

  IF progrs(rand) = 0 THEN GOTO main

  ' Se la R&S attuale è già raggiunta esce

  IF rsatt(rand) = rsmax(rand) THEN GOTO main

  rsatt(rand) = rsatt(rand) + 15

  ' Se la R&S attuale eccede quella massima, si livella con quest'ultima

  IF rsatt(rand) > rsmax(rand) THEN rsatt(rand) = rsmax(rand)

  POKE UINTEGER indir,@progre: stampa()

  PRINT AT 4,0; mate$(rand)

  GOTO fineimpre

fondiextra:

  POKE UINTEGER indir,@favor: stampa()

  fondi = fondi + 20

  GOTO fineimpre

tagli:

  POKE UINTEGER indir,@contr: stampa()

  fondi = fondi - 20

fineimpre:

  IF fondi < 0 THEN fondi = 0

  premitasto()

  ' Torna al menù principale

  GOTO main