  ' Avvio missioni pianificate

  ' Controlla se ci sono missioni pianificate.
  ' In tal caso, effettua una serie di verifiche per ogni passaggio.
  ' Più una missione è complessa, più passaggi deve attraversare.
  ' Verifica a seconda delle fasi se la missione ha avuto successo o è fallita, in tutto o in parte.
  ' Calcola il punteggio e il prestigio guadagnato o perso.

  ' Le fasi e i relativi materiali interessati sono:
  '  1) Decollo - Razzo, potenziamento (se presente)
  '  2) Ingresso in orbita terrestre - Razzo
  '  3) Attività in orbita terrestre - Capsula, mini-navetta, satellite
  '  4) Uscita da orbita terrestre - Razzo, modulo di servizio
  '  5) Percorso Terra-Luna - Satellite lunare, sonda, capsula, mini-navetta, veicolo lunare
  '  6) Ingresso in orbita lunare - Capsula, veicolo lunare, modulo di servizio, satellite, sonda
  '  7) Avvicinamento lunare - Modulo lunare, veicolo lunare, sonda
  '  8) Ricognizione lunare - Satellite lunare
  '  9) Atterraggio lunare - Modulo lunare, veicolo lunare, sonda
  ' 10) Passeggiata lunare - Tuta AEV
  ' 11) Partenza dal suolo lunare - Modulo lunare, veicolo lunare
  ' 12) Attività in orbita lunare - Capsula, mini-navetta, veicolo lunare
  ' 13) Aggancio (dopo missione lunare) - Modulo aggancio
  ' 14) Passeggiata spaziale - Tuta AEV
  ' 15) Uscita da orbita lunare - Capsula, modulo di servizio
  ' 16) Percorso Luna-Terra - Capsula, mini-navetta, veicolo lunare
  ' 17) Ingresso in orbita terrestre (ritorno) - Capsula, mini-navetta, veicolo lunare
  ' 18) Rientro - Capsula, mini-navetta, veicolo lunare

  ' i qui fa da contatore per determinare se e quali missioni abbiamo in programma

  i = 0

  ' Verifica se abbiamo una missione in programma

vermiss:

  i = i + 1

  ' Se i = 4 tutte le missioni sono state controllate

  IF i = 4 THEN GOTO azzeric

  ' La missione parte se programmata, altrimenti si controlla quella successiva

  IF miss(15,i) = i THEN
    GOTO missione
  ELSE
    GOTO esci04
  END IF

missione:

  ' Copia in mpr i dati della missione programmata

  n = 1
  DO
    mpr(n) = miss(n,i)
	n = n + 1
  LOOP UNTIL n = 17

  ' Mostra il riepilogo e stampa l'efficienza totale della missione

  CLS

  x = i
  riepmis()
  stampaeff()
  premitasto()

  CLS

  ' Inizio controllo missione

  updateSeed()

  PRINT AT 1,7; PAPER naz; "\{i7} MISSION CONTROL "

  ' Lo stato della missione è inizialmente pari a 1. In caso di rientro anticipato si azzera

  statomis = 1

  ' Se il veicolo è una navetta pone la variabile di controllo inizialmente a 1

  navetta = 1
  
  ' Assegna la base del bonus prestigio per questa missione.
  ' È data dal numero del veicolo, più 2 per ogni membro dell'equipaggio

  bonuspre = mpr(1)

  n = 11
  DO
    IF mpr(n) <> 0 THEN bonuspre = bonuspre + 2
    n = n + 1
  LOOP UNTIL n = 15

  ' Per ogni fase confronta il valore di r100 con l'efficienza attuale dei materiali

  ' 1) Decollo - Razzo, potenziamento (se presente)

  ' Razzo

fase01:

  ' 255 significa che in caso di inconveniente la missione fallisce senza possibilità di recupero
  
  fase = 255

  POKE UINTEGER indir,@f01: stampa()
  premitasto()

  w = mpr(4)
  
  controllo()

  ' Stampa "DECOLLO EFFETTUATO"

  IF k = 0
    POKE UINTEGER indir,@mis01
	stampa()
	premitasto()
    GOTO fase01a
  END IF

  ' Malfunzionamento.
  ' NB: y + prob rappresenta il numero del messaggio pr$(...) da mostrare.
  ' Es. in questo caso (inconveniente del razzo) i messaggi a seconda della gravità possono essere pr$(1), (2) o (3)
  
  y = 0 : malfunz()

  ' Se si verifica un'esplosione al razzo vettore (prob > 2) la rampa è danneggiata
  ' Memorizza il numero della rampa in q
  ' Indica il valore della rampa come "in riparazione" (codice 4)
  ' Programma 2 turni per la riparazione (3 perché le riparazioni cominciano alla fine di questo turno)

  ' Stampa l'avviso "Rampa danneggiata"
  
  IF prob > 1
    POKE UINTEGER indir,@rampadann
    stampa()
	q = mpr(15)
	stru(1,q) = 4
	stru(2,q) = 3
  END IF

  GOTO fallita

  ' Potenziamento

fase01a:

  ' Controlla se il potenziamento è presente, se non lo è passa alla fase 2

  IF mpr(5) = 0 THEN GOTO fase02

  POKE UINTEGER indir,@f01a: stampa()
  premitasto()

  w = mpr(5)

  controllo()

  ' Stampa "RAZZI AUS. STACCATI"

  IF k = 0
    POKE UINTEGER indir,@mis02
	stampa()
	premitasto()
    GOTO fase02
  END IF

  ' Malfunzionamento

  y = 3 : malfunz()

  ' Se c'è equipaggio rientra, altrimenti fallisce subito

  statomis = 0 : GOTO fase18

  '  2) Ingresso in orbita terrestre - Razzo

fase02:

  POKE UINTEGER indir,@f02: stampa()
  premitasto()
  
  w = mpr(4)
  
  controllo()

  ' Stampa "ORBITA TERRESTRE RAGGIUNTA"

  IF k = 0
    POKE UINTEGER indir,@mis03
	stampa()
	premitasto()
    GOTO fase03
  END IF

  ' Malfunzionamento

  y = 0 : malfunz()

  ' Se c'è equipaggio rientra, altrimenti fallisce subito

  statomis = 0: GOTO fase18

  '  3) Attività in orbita terrestre - Capsula, mini-navetta, satellite

  ' NOTA BENE:
  ' Da qui si comincia a memorizzare il numero di fase. In caso di inconvenienti la missione può essere continuata,
  ' o si può tornare indietro, ovviamente solo in presenza di equipaggio e se questo non subisce infortuni.

fase03:

  fase = 3

  ' Se la destinazione è la Luna salta questa fase

  IF mpr(2) > 1 THEN GOTO fase04

  POKE UINTEGER indir,@f03: stampa()
  premitasto()

  w = mpr(1)

  controllo()

  IF k = 0 THEN GOTO fase03bis

  ' Malfunzionamento

  IF w = 1 THEN
    y = 6
  ELSE
    y = 12
  END IF

  malfunz()

  ' Se c'è equipaggio rientra, altrimenti fallisce subito

  statomis = 0: GOTO fase18

fase03bis:

  ' Stampa "ATTIVITa ESEGUITE"
  
  POKE UINTEGER indir,@mis04
  stampa()
  
  ' Se è satellite terrestre la missione è terminata con successo

  IF w = 1 THEN GOTO riuscita

  premitasto()

  ' Se è sonda o veicolo lunare vai direttamente alla fase 4

  IF w = 3 OR w = 8 THEN GOTO fase04

  ' Se la destinazione è l'orbita terrestre e non ci sono tute AEV vai alla fase 18

  IF mpr(2) = 1 AND mpr(9) = 0 THEN GOTO fase18

  ' Se la destinazione è l'orbita terrestre e ci sono tute AEV vai alla fase 14

  IF mpr(2) = 1 AND mpr(9) > 0 THEN GOTO fase14

  ' 4) Uscita da orbita terrestre - Razzo

fase04:

  fase = 4

  POKE UINTEGER indir,@f04: stampa()
  premitasto()

  w = mpr(4)

  controllo()

  ' Stampa "ORBITA TERRESTRE LASCIATA"

  IF k = 0
    POKE UINTEGER indir,@mis05
	stampa()
	premitasto()
    GOTO fase05
  END IF

  ' Malfunzionamento

  y = 0: malfunz()

  ' Se c'è equipaggio rientra, altrimenti fallisce subito

  IF k = 0 THEN statomis = 0: GOTO fase18

  ' 5) Percorso Terra-Luna - Satellite lunare, sonda lunare, capsula con ML, mini-navetta, veicolo lunare
  ' 6) Ingresso in orbita lunare - Satellite lunare, sonda lunare, capsula con ML, mini-navetta, veicolo lunare
  ' Queste due fasi sono di fatto identiche. Vengono eseguite una dopo l'altra in un ciclo in due passaggi.

fase05:

  fase = 5

ciclofasi0506:

  IF fase = 5 THEN
    ' Stampa testo "NAVIGAZ.TERRA-LUNA    "
	POKE UINTEGER indir,@mis06
  ELSE
    ' Stampa testo "INGRESSO IN ORB.LUNARE"
	POKE UINTEGER indir,@mis07
  END IF

  stampa()
  premitasto()

  w = mpr(1)

  controllo()

  ' Stampa "NAVIGAZ.REGOLARE"
  
  IF k = 0 AND fase = 5 THEN POKE UINTEGER indir,@mis08: stampa(): premitasto(): fase = 6: GOTO ciclofasi0506
  
  ' Stampa "ORB.LUNARE RAGGIUNTA"
  
  IF k = 0 AND fase = 6 THEN POKE UINTEGER indir,@mis09: stampa(): premitasto(): GOTO fase07

  ' Malfunzionamento

  y = 21 : malfunz()

  ' La missione continua

  IF k = 1 THEN fase = 6 : GOTO ciclofasi0506

  ' Se k = 0 la missione è considerata fallita e si torna indietro

  statomis = 0 : GOTO fase18

  ' 7) Avvicinamento lunare - Modulo lunare, veicolo lunare, sonda

  ' Determina se si tratta di un ML o di un altro tipo di mezzo

fase07:

  ' Se è un satellite lunare va direttamente alla fase 8

  IF mpr(1) = 2 THEN GOTO fase08

  POKE UINTEGER indir,@f07: stampa()
  premitasto()

  ' Determina se è un ML, una navetta o una sonda

  IF mpr(3) <> 0 THEN w = mpr(3): GOTO fase07ter
  IF mpr(1) = 3 OR mpr(1) = 8 THEN w = mpr(1): GOTO fase07bis

  ' Se non è nessuna di queste (capsula o navetta in orbita lunare) va alla fase 12

  GOTO fase12

  ' Avvicinamento veicolo lunare o sonda. w è sempre uguale a mpr(1) come stabilito nella fase precedente

fase07bis:

  controllo()

  ' Stampa "AVVICINAM.IN CORSO"
  
  IF k = 0
    POKE UINTEGER indir,@mis10
	stampa()
	premitasto()
    GOTO fase09
  END IF

  ' Malfunzionamento

  IF w = 3 THEN
    y = 9
  ELSE
    y = 18
  END IF

  malfunz()

  ' Se non c'è equipaggio la missione è fallita

  IF mpr(10) = 0 THEN GOTO fallita

  ' La missione continua

  IF k = 1 THEN GOTO fase09

  ' Se k = 0 la missione è considerata fallita e si salta alla fase 15 (uscita dall'orbita lunare)

  statomis = 0 : GOTO fase15

  ' Avvicinamento ML

fase07ter:

  controllo()

  ' Stampa "MODULO LUNARE IN AVVICINAM."
  
  IF k = 0
    POKE UINTEGER indir,@mis11
	stampa()
	premitasto()
    GOTO fase09
  END IF

  ' Malfunzionamento

  y = 18 : malfunz()

  ' La missione continua

  IF k = 1 THEN GOTO fase09

  ' Se k = 0 la missione è considerata fallita e si salta alla fase 15 (uscita dall'orbita lunare)

  statomis = 0 : GOTO fase15

  ' 8) Ricognizione lunare - Satellite

fase08:

  POKE UINTEGER indir,@f08: stampa()
  premitasto()

  w = 2

  controllo()

  ' In caso di successo la missione è completata

  ' Stampa "RICOGNIZ.COMPIUTA"

  IF k = 0
    POKE UINTEGER indir,@mis12
	stampa()
	premitasto()
    GOTO riuscita
  END IF

  ' Malfunzionamento; in questo caso la missione fallisce senza possibilità di recupero

  y = 6 : malfunz()

  GOTO fallita

  ' 9) Atterraggio lunare - Modulo lunare, veicolo lunare, sonda

fase09:

  POKE UINTEGER indir,@f09: stampa()
  premitasto()

  ' Determina se è un ML (mpr(3)<>0)

  IF mpr(3) <> 0 THEN
    w = mpr(3)
    GOTO fase09bis
  ELSE
    w = mpr(1)
  END IF

  ' Atterraggio veicolo lunare o sonda. w è sempre uguale a mpr(1) come stabilito nella fase precedente

  controllo()

  ' Se è una sonda la missione è compiuta; stampa "SONDA ATTERRATA,DATI RICEVUTI"
  
  IF k = 0 AND w = 3 THEN POKE UINTEGER indir,@mis13: stampa(): GOTO riuscita
  
  ' Atterraggio veicolo lunare; stampa "ATTERR.LUNARE COMPIUTO"

  IF k = 0 AND w = 8 THEN POKE UINTEGER indir,@mis14: stampa(): GOTO fase10

  ' Malfunzionamento

  IF w = 3 THEN
    y = 9
  ELSE
    y = 18
  END IF

  malfunz()

  GOTO fase09ter

  ' Atterraggio ML

fase09bis:

  controllo()

  ' Stampa "MODULO LUNARE ATTERRATO"
  
  IF k = 0
    POKE UINTEGER indir,@mis15
	stampa()
	premitasto()
    GOTO fase10
  END IF

  ' Malfunzionamento

  y = 18 : malfunz()

fase09ter:

  ' La missione continua

  IF k = 1 THEN GOTO fase10

  ' Se k = 0 la missione è considerata fallita e si salta alla fase 11 (partenza dal suolo lunare)

  statomis = 0 : GOTO fase11

  ' 10) Passeggiata lunare - Tuta AEV

fase10:

  POKE UINTEGER indir,@f10: stampa()
  premitasto()

  ' NOTA: Questa fase si effettua solo in presenza di equipaggio.

  IF mpr(10) = 0 THEN GOTO fase11

  w = 12

  controllo()

  ' Stampa "PASSEGG.LUNARE COMPIUTA"

  IF k = 0
    POKE UINTEGER indir,@mis16
	stampa()
	premitasto()
    GOTO fase11
  END IF

  ' Malfunzionamento

  y = 15 : malfunz()

  ' Se k = 0 la missione è considerata fallita, si va comunque alla fase 11 (partenza dal suolo lunare)

  IF k = 0 THEN statomis = 0 

  ' 11) Partenza dal suolo lunare - Modulo lunare, veicolo lunare

fase11:

  POKE UINTEGER indir,@f11: stampa()
  premitasto() 

  ' Determina se è un ML o un veicolo lunare

  IF mpr(3) <> 0 THEN
    w = mpr(3)
  ELSE
    w = 8
  END IF

  controllo()

  ' Stampa "DECOLLO EFFETTUATO"
  
  IF k = 0
    POKE UINTEGER indir,@mis01
	stampa()
	premitasto()
    GOTO fase13
  END IF

  ' Malfunzionamento

  y = 21 : malfunz()

  ' Se k = 0 la missione è considerata parzialmente riuscita, si va comunque alla fase 13 (aggancio capsula-ML)

  IF k = 0 AND statomis = 1 THEN statomis = 2

  GOTO fase13

  ' 12) Attività in orbita lunare - Capsula, mini-navetta, veicolo lunare

fase12:

  POKE UINTEGER indir,@f03: stampa()
  premitasto()

  w = mpr(1)

  controllo()

  IF k = 0
    POKE UINTEGER indir,@mis04
    stampa()
	premitasto()
	GOTO fase15
  END IF

  ' Malfunzionamento (13-15)

  y = 12 : malfunz()

 ' La missione continua

  IF k = 1 THEN GOTO fase13

  ' Se k = 0 la missione è considerata parzialmente riuscita

  IF statomis = 1 THEN statomis = 2

  ' Se non c'è un modulo lunare si va alla fase 15 (uscita dall'orbita lunare), altrimenti si prosegue alla fase 13

  IF mpr(3) = 0 THEN GOTO fase15

  ' 13) Aggancio capsula-ML - Modulo aggancio

fase13:

  ' Se non c'è un ML salta questa fase

  IF mpr(3) = 0 THEN GOTO fase15

  POKE UINTEGER indir,@f13: stampa()
  premitasto()

  w = 11

  controllo()

  ' Stampa "MOD.LUNARE AGGANCIATO"

  IF k = 0
    POKE UINTEGER indir,@mis17
    stampa()
	premitasto()
	GOTO fase15
  END IF

  ' Malfunzionamento (25-27)

  y = 24 : malfunz()

  ' Se k = 0 la missione è considerata parzialmente riuscita, si va comunque alla fase 15 (aggancio capsula-ML)

  IF k = 0 AND statomis = 1 THEN statomis = 2

  GOTO fase15

  ' 14) Passeggiata spaziale - Tuta AEV

fase14:

  POKE UINTEGER indir,@f14: stampa()
  premitasto()

  w = 12

  controllo()

  ' Se ha successo la capsula/navetta rientra

  ' Stampa "PASS. SPAZ. COMPIUTA"

  IF k = 0
    POKE UINTEGER indir,@mis18
    stampa()
	premitasto()
	GOTO fase18
  END IF

  ' Malfunzionamento

  y = 15 : malfunz()

  ' Se k = 0 la missione è considerata fallita; si rientra comunque

  IF k = 0 THEN statomis = 0

  GOTO fase18

  ' 15) Uscita da orbita lunare - Modulo di servizio, veicolo lunare

fase15:

  POKE UINTEGER indir,@f15: stampa()
  premitasto()

  ' Determina se il mezzo è un veicolo lunare o un modulo di servizio A o B

  IF mpr(1) = 8 THEN w = 8
  IF mpr(6) = 1 THEN w = 18
  IF mpr(7) = 1 THEN w = 19

  controllo()

  ' Malfunzionamento (22-24)

  y = 21: malfunz()

  ' Se k = 0 la missione è considerata parzialmente riuscita; si prosegue comunque alla fase 16

  IF k = 0 AND statomis = 1 THEN statomis = 2

  ' 16) Percorso Luna-Terra - Capsula, mini-navetta, veicolo lunare
  ' 17) Ingresso in orbita terrestre (ritorno) - Capsula, mini-navetta, veicolo lunare

  ' NOTA: Queste due fasi sono di fatto identiche. Vengono eseguite una dopo l'altra in un ciclo in due passaggi

fase16:

  ' Imposta il valore iniziale di n come contatore del ciclo

  fase = 16

ciclofasi1617:

  IF fase = 16 THEN
    ' testo$ = "NAVIGAZ.LUNA-TERRA    "
	POKE UINTEGER indir,@mis19
  ELSE
    ' testo$ = "INGRESSO IN ORB.TERRESTRE"
	POKE UINTEGER indir,@f02
  END IF

  stampa()
  premitasto()

  w = mpr(1)

  controllo()

  ' Stampa "NAVIGAZ.REGOLARE"
  
  IF k = 0 AND fase = 16 THEN POKE UINTEGER indir,@mis08: stampa(): premitasto(): fase = 17: GOTO ciclofasi1617
  
  ' Stampa "ORB.TERRESTRE RAGGIUNTA"
  
  IF k = 0 AND fase = 17 THEN POKE UINTEGER indir,@mis03: stampa(): premitasto(): GOTO fase18

  ' Malfunzionamento

  y = 21 : malfunz()

  ' Se k = 0 la missione è considerata parzialmente riuscita

  IF k = 0 AND statomis = 1 THEN statomis = 2: GOTO fase18

  ' La missione continua

  IF k = 1 AND fase = 16 THEN fase = 17 : GOTO ciclofasi1617

  ' Se k = 1 e fase = 17 si continua alla fase 18

  ' 18) Rientro - Capsula, mini-navetta, veicolo lunare

fase18:

  ' Se non c'è equipaggio e la missione è fallita non rientra

  IF mpr(10) = 0 AND statomis = 0 THEN GOTO fallita

  POKE UINTEGER indir,@f18: stampa()
  premitasto()

  w = mpr(1)

  controllo()

  ' Missione riuscita

  IF k = 0 THEN GOTO rientro
  
  ' Missione fallita o compromessa

  IF k > 0 AND statomis = 0 THEN GOTO fase18bis

  ' Missione parzialmente riuscita anche con inconveniente

  IF k > 0 AND statomis = 2 THEN GOTO rientro
  
  ' Tutti gli altri casi

  GOTO fase18bis

  ' Rientro (missione compiuta o parzialmente compiuta)

rientro:

  ' Stampa "Rientro effettuato"

  POKE UINTEGER indir,@mis20: stampa()

  IF statomis = 1 THEN GOTO riuscita
  IF statomis = 2 THEN GOTO parziale
  IF statomis = 0 THEN GOTO fallita

  ' Malfunzionamento. Determina l'inconveniente e stampa il messaggio relativo

fase18bis:

  y = 27 : malfunz()

  ' Se non c'è equipaggio vai direttamente a missione fallita

  IF mpr(10) = 0 THEN GOTO fallita

  ' Se il veicolo ha equipaggio ma c'è stato un errore fatale la missione è fallita

  IF statomis = 0 THEN GOTO fallita

  ' Missione parzialmente riuscita: obiettivi raggiunti ma si sono verificati inconvenienti

parziale:

  POKE UINTEGER indir,@mispar: stampa()

  BEEP .5,-1

  ' Il bonus prestigio è ridotto della metà

  bonuspre = INT(bonuspre/2)

  totalmis(2) = totalmis(2) + 1

  PAUSE 0: GOTO finemissione

  ' Missione fallita: nessun bonus prestigio, penalità calcolata da malfunz()

fallita:

  POKE UINTEGER indir,@misfal: stampa()

  BEEP 1,-25

  bonuspre = 0

  totalmis(3) = totalmis(3) + 1

  GOTO finemissione

  ' Missione riuscita

riuscita:

  POKE UINTEGER indir,@miscom: stampa()

  BEEP .3,11

  totalmis(1) = totalmis(1) + 1

  ' Determina se la missione è una pietra miliare e se è stata condotta per prima. In tal caso, aumenta il bonus prestigio

  ' Azzera q

  q = 0

  ' Satellite in orbita terrestre
 
  IF mpr(1) = 1 THEN q = 1

  ' Volo orbitale con equipaggio (capsula, navetta)

  IF mpr(1) > 3 AND mpr(1) < 8 AND mpr(10) <> 0 AND mpr(2) = 1 THEN q = 2

  ' AEV in orbita terrestre

  IF mpr(9) <> 0 AND mpr(2) = 1 THEN q = 3

  ' Satellite in orbita lunare

  IF mpr(1) = 2 THEN q = 4

  ' Sonda lunare

  IF mpr(1) = 3 THEN q = 5

  ' Volo lunare C/E

  IF mpr(1) > 3 AND mpr(1) < 8 AND mpr(10) <> 0 AND mpr(2) = 2 THEN q = 6

  ' Per tutti gli altri casi non si procede alla verifica del bonus

  IF q = 0 THEN GOTO aumentaeff

  ' Pietra miliare raggiunta, bonus ottenibile

  IF pm(q) = 0 THEN pm(q) = 2: bonuspre = bonuspre + pmbon(q) : premitasto(): CLS: PRINT AT 12,0;"FIRST ";pimi$(q); AT 10,10; PAPER naz; "\{i7} MILESTONE " : inno()

  ' Pietra miliare raggiunta, bonus non ottenibile

  IF pm(q) = 1 THEN pm(q) = 3

  ' Aumenta di 2 l'efficienza dei materiali impiegati nella missione

aumentaeff:

  ' Veicolo

  q = mpr(1) : efficienza()

  ' Modulo lunare (se presente)

  IF mpr(3) <> 0 THEN q = mpr(3) : efficienza()

  ' Razzo vettore

  q = mpr(4) : efficienza()

  ' Booster (se presenti)

  IF mpr(5) <> 0 THEN q = 17 : efficienza()

  ' Modulo di servizio A (se presente)

  IF mpr(6) <> 0 THEN q = 18 : efficienza()

  ' Modulo di servizio B (se presente)

  IF mpr(7) <> 0 THEN q = 19 : efficienza()

  ' Modulo di aggancio (se presente)

  IF mpr(8) <> 0 THEN q = 11 : efficienza()

  ' Tuta AEV (se presente)

  IF mpr(9) <> 0 THEN q = 12 : efficienza()

finemissione:

  x = 10

liberapilo:

  ' Marca i piloti in missione come disponibili nuovamente se non sono né feriti, né deceduti.
  ' x corrisponde al numero del pilota inserito nella missione, da mpr(10) a mpr(13).
  ' Se x > 0 vuol dire che c'è un pilota in questa missione

  q = mpr(x)
  IF q = 0 THEN GOTO bonusprest
  IF pilost$(q) = "M" THEN pilost$(q) = "A"
  x = x + 1
  IF x < 14 THEN GOTO liberapilo

bonusprest:

  ' Aggiunge il bonus al prestigio

  prestigio = prestigio + bonuspre

  ' Se la destinazione era 3, la missione era con equipaggio ed è stata compiuta con successo abbiamo vinto

  IF mpr(2) = 3 AND mpr(10) <> 0 AND statomis = 1 THEN prestigio = prestigio + 100 : GOTO vittoria

  ' Se la destinazione era 3, la missione era con equipaggio ed è parzialmente riuscita abbiamo comunque un bonus di 25 al prestigio

  IF mpr(2) = 3 AND mpr(10) <> 0 AND statomis = 2 THEN prestigio = prestigio + 25

  ' Se il veicolo è una navetta e non è stata danneggiata gravemente (navetta = 1) rendila di nuovo disponibile

  q = mpr(1)

  IF q = 7 AND navetta = 1 THEN qt(q) = qt(q) + 1

  ' Marca la rampa di lancio usata come disponibile se risulta ancora occupata, quindi non è danneggiata

  q = mpr(15)

  IF stru(1,q) = 2 THEN stru(1,q) = 1

  premitasto()

  ' Torna a controllare se abbiamo un'altra missione in programma

esci04:

  GOTO vermiss